Skip to main content
POST
/
creators
/
{creatorUserUuid}
/
chats
/
mass-messages
Send a mass message as creator
curl --request POST \
  --url https://api.fanvue.com/creators/{creatorUserUuid}/chats/mass-messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "includedLists": {
    "smartListUuids": [
      "subscribers"
    ],
    "customListUuids": [
      "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    ]
  }
}
'
{
  "id": "f1e2d3c4-b5a6-9788-c0d1-e2f3g4h5i6j7",
  "recipientCount": 1250,
  "createdAt": "2024-01-15T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Path Parameters

creatorUserUuid
string<uuid>
required

Body

application/json
includedLists
object
required
text
string
Required string length: 1 - 5000
mediaUuids
string<uuid>[]
price
number | null
Required range: x >= 300
excludedLists
object
scheduledAt
string<date-time>

Optional scheduled date/time in ISO 8601 format. Alias scheduled_at is also accepted.

Response

Mass message sent successfully

id
string<uuid>
required
recipientCount
number
required
createdAt
string<date> | null
required